#include <ibcs/unistd.h>
#include <sysdeps.h>
#define ASSEMBLY_FILE
#include <errno.h>

	.text
	.align	2
#ifdef ELF_LIBRARY
	.globl	SYMBOL_NAME(__cerror)
	.type SYMBOL_NAME(__cerror),@function
	.weak wait
	wait = __cerror
SYMBOL_NAME_LABEL(__cerror)
#else
	.globl	SYMBOL_NAME(_cerror)
SYMBOL_NAME_LABEL(_cerror)
#endif
	mov	%eax, ERRNO
	mov	$-1, %eax
	ret
